/******************** (C) COPYRIGHT 2009 jasys GmbH & Co. KG *******************
 * Name    : init.h
 * Autor   : joerg
 * Erstellt: 16.03.2009
 * ******************************************************************************
 * Version | Datum      | Beschreibung
 ----------+------------+------------------------------------------------------------
 * 1.00.00 | 16.03.2009 | Datei erstellt
 *******************************************************************************/

#ifndef __TFT_H_
#define __TFT_H_

#include "stdint.h"

#define DIRECTION_X 320
#define DIRECTION_Y 240

/*
 * split display ram into two 
 * parts because of the big size
 */
#define BILD_PART0_GROESSE (240*270) //64800
#define BILD_PART1_GROESSE (240*50)  //12000
typedef struct
{
    int16_t i16X_raw;
    int16_t i16Y_raw;
    int16_t i16X;
    int16_t i16Y;
    int16_t i16X_last;
    int16_t i16Y_last;
    uint8_t u8appraise; // Auswerten
    uint8_t u8pressed;
    uint8_t u8released;

    uint8_t u8Recalibrate;
} sTouch_t;
extern sTouch_t Touch;

extern uint16_t u16Bild0[BILD_PART0_GROESSE];
extern uint16_t u16Bild1[BILD_PART1_GROESSE];
extern int16_t i16Touch_X_CALMIN;
extern int16_t i16Touch_X_CALMAX;
extern int16_t i16Touch_Y_CALMIN;
extern int16_t i16Touch_Y_CALMAX;
extern uint16_t u8TFTUpdateNecessary;

void TFT_24_7789_Init ( void );
void TFT_24S_Write_Command_Wait ( uint16_t u16command );
void TFT_24S_Write_Command_NoWait ( uint16_t u16command );

void vTouchGetPos ( void );

void vCls ( uint16_t u16Color );
void vDisplayupdate ( void );

#endif /* __TFT_H_ */
