/******************** (C) COPYRIGHT 2017 jasys GmbH & Co. KG *******************
* Name    : EMG_data.h
* Author  : EMG
* Created : 06.11.17
* ******************************************************************************
* Version | Datum      | Description
----------+------------+--------------------------------------------------------
* 1.00.00 | 06.11.2017 | File generated
*******************************************************************************/

#ifndef EMG_DATA_H_
#define EMG_DATA_H_
#ifdef __cplusplus
extern "C"
{
#endif

#include <stdint.h>

#define PAGE_TEMPERATURE 0
#define CTRL_P0_BACKGROUND 0
#define CTRL_P0_BUTTONTANK 1
#define CTRL_P0_BUTTONSETUP 2
#define CTRL_P0_T_OUT0 3
#define CTRL_P0_T_OUT1 4
#define CTRL_P0_T_IN1 5
#define CTRL_P0_T_IN__6 6 // Double Control description! ID added for differentiation.

#define LANGUAGE_COUNT 1
#define LANGUAGE_ENG 0

void EMG_CallUserFunction ( uint16_t u16FunctionID, uint16_t u16Value );

extern int8_t Emg_u8_0;
extern int8_t Emg_u8_1;
extern uint16_t u16Code;
extern uint8_t u8OutTempOnOff;
extern uint8_t u8TankEnabled;
extern uint16_t u16T_In;
extern uint8_t u8AuthOk;


#define EMG_DATAPOOL_COUNT 7

typedef struct
{
  void * Var;
  uint8_t u8Type;
} Emg_DataPool_t;

extern Emg_DataPool_t Emg_DataPool[7];

#define EMG_START_DATA 0x080D0000
#define EMG_START_FONT 0x080D00F8
#define EMG_START_STRING 0x080D03B1
#define EMG_START_PICTURE 0x080D03CA
#define EMG_SIZE_DATA 0x000000F8
#define EMG_SIZE_FONT 0x000002B9
#define EMG_SIZE_STRING 0x00000019
#define EMG_SIZE_PICTURE 0x0002682C

#ifdef __cplusplus
}
#endif

#endif /* EMG_DATA_H_ */
